API / Reference / Custom Properties
Create custom property value
POST
https://api.light.inc/v1/custom-properties/groups/{groupId}/values
Creates a new custom property value in the specified group
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
groupIdstring · uuidrequired
Request body
application/json;charset=UTF-8
-
internalNamestringUnique internal name for the custom property value.
-
labelstringDisplay label for the custom property value.
-
contextstringOptional context or description for the custom property value.
Response
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated